package gui.text;

import gui.GUIText;

public class Slovak extends GUIText {
		
		@Override
		public String getButtonDescription(String type) {
			switch (type) {
				case "saveAll": return "Nahrať screenshot";
				case "openText": return "Otvoriť súbor s programom";
				case "save": return "Nahrať obrázok";
				case "saveCode": return "Nahrať program so vstupom";
				case "gridOn": return "Vypnúť pomocnú mriežku";
				case "gridOff": return "Zapnúť pomocnú mriežku";
				case "start": return "Spustiť program";
				case "stop": return "Zastaviť program";
				case "process": return "Spracovať program";
				case "answer": return "Odpovedať";
				default: return type;
			}
		}

		@Override
		public String getBorderTitle(String type) {
			switch (type) {
			case "vizPanel": return "Vizualizácia: ";
			case "code": return "Program: ";
			case "highCode": return "Zvýraznený: ";
			case "currentCode": return "Aktuálny: ";
			case "input": return "Vstup: ";
			case "output": return "Výstup: ";
			case "error": return "Chyby: ";
			default: return type;
			}
		}
		
		@Override
		public String getErrorText(String type) {
			switch (type) {
			case "Index": { return "Vstup mimo alokovanej pamäte."; }		
			case "VarNotFound": { return "Premenná nenájdená.";}
			case "NotTranslated": { return "Príkaz nebol rozpoznaný.";}
			case "MissingInput": { return "Chýba vstup.";}
			case "UsedVarName": { return "Premenná s týmto menom už existuje.";}
			case "Initialized": { return "Premenná nebola inicializovaná."; }
			default: { return "Stala sa chyba.";}			
			}
		}

		@Override
		public String getQuestionText() {
			return "<b>Otázka: </b>";
		}

		@Override
		public String getCorrectAnswerText() {
			return " Správna odpoveď bola ";
		}
		
		@Override
		public String getAnswerBoolean(boolean correct) {
			if (correct) return "Správne!";
			else return "Zle!";
		}
				
		@Override
		public String getComboDescription(String type) {
			switch (type) {
			case "code": return "Jazyk programu: ";
			case "viz": return "Vizuálny jazyk: ";
			case "guiLang": return "Jazyk rozhrania: ";
			case "xBox": return "Šírka mriežky: ";
			case "yBox": return "Výška mriežky: ";
			case "mod": return "Exportný mód aplikácie: ";
			default: return type;
			}
			
		}
		
		@Override
		public String getTabName(String type) {
			switch (type) {
			case "mixed": return "Zmiešaný mód";
			case "visual": return "Vizualizačný mód";
			case "code": return "Programovací mód";
			case "settings": return "Nastavenia";
			default: return type;
			}
		}
		
		@Override
		public String translateComboItem(String item) {
			switch (item) {
			case "slovak": return "Slovak";
			case "english": return "English";
			case "ctype": return "C type";
			case "pascal": return "Pascal";
			default: return item;
			}
		}

}

